<?php

   //solicitamos archivo de conexion a mysql

   require_once('../../conf/connection.php');

   //si an pulsado el boton de enviar

  $enviar=$_POST["enviar"];

  if(isset($enviar))

  {

	  //grupo de variables enviadas mediante metodo post desde el formulario

	  $numero=stripslashes($_POST["numero"]);

	  $mesa=stripslashes($_POST["mesa"]);	  

	  $rut=stripslashes($_POST["rut"]);	

	  $descuento=stripslashes($_POST["descuento"]);

	  if($descuento==""){$propina=0;}else{}

	  $total=stripslashes($_POST["efectivo"]);
	  
	  

	  $propina=stripslashes($_POST["propina"]);

	  
	  if (isset($_REQUEST['check1'])){ $total_final=stripslashes($_POST["total"]);   }else{$total_final=$total;}
	  

	  $f_pagos=stripslashes($_POST["f_pagos"]);

	  $doc=stripslashes($_POST["doc"]); //1=factura | 2=boleta | 3=cuenta cliente

	  $rut="2-7";

	  $fecha = $_POST["fecha"];



	date_default_timezone_set("America/Buenos aires" ) ; 

$hora = date('h:i a',time() - 3600*date('I')); 



$query_mesa="SELECT * FROM mesa WHERE num_mesa='$mesa'";

$rs_query_mesa=mysql_query($query_mesa);

$nom_mesa=mysql_result($rs_query_mesa,0,"nombre_mesa");



	

if($total=="" or $doc=="" or $f_pagos==""){ ?>



<script> alert("ERROR: Existen campos vacios, verifique la informacion ingresada..."); window.history.back();

 <? ?>

			</script>

            

 <? }else{

	  

if( $doc<>2 or $f_pagos==4 ){ ?>



<script>window.location.href = "../factura.php?mesa=<? echo $mesa ?>&doc=<? echo $doc ?>&numero=<? echo $numero ?>&f_pagos=<? echo $f_pagos ?>&subtotal=<? echo $total ?>&descuento=<? echo $descuento ?>&fecha=<? echo $fecha?>";

			</script>

<? }else{

	 	

	  //comprobamos si la identidad personal de esta persona existe

	  //si existiera no haremos nada!. Mediante un query

	  $comprobar="select * from ventas where idventas=\"$numero\"";	  

	  //Enviamos el query a Mysql mediante la funcion de PHP mysql_query()

	  $r_ide=mysql_query($comprobar,$conn) or die("Error en el query: ".mysql_error());

	  //Vemos si el query nos mando registros y cuantos mediante mysql_num_rows()

	  $nr_ide=mysql_num_rows($r_ide);

	  

	    //Es decir si devolvio registros

		if($nr_ide>0)

		{

			//Mandamos un script java con notificacion

			?> <script> alert("Pedido N <? echo $numero ?> ya se encuentra pagado.!"); window.history.back(); </script> <? 

		}

		//procedemos a guardar el registro

		else

		{

			//Construimos el query!

			$insertar="insert into ventas(idventas,fecha, mesa, subtotal,propina, total,hora,idpedido,

			rut_clientes, doc,f_pagos) values (";

			$insertar.="\"$numero\", \"$fecha\", \"$mesa\",\"$total\", \"$propina\", \"$total_final\",\"$hora\",

			\"$numero\",\"$rut\", \"$doc\", \"$f_pagos\")";

            			

			

			//activamos la mesa

			

			$sel_actualiza_mesa="UPDATE mesa SET est_mesa='1' WHERE num_mesa='$mesa'";

		    $rs_actualiza_mesa = mysql_query($sel_actualiza_mesa);	

			

			//desactivamos el peido

			

			$sel_actualiza_pedido="UPDATE pedido SET est='2' WHERE idpedido='$numero'";

		    $rs_actualiza_pedido = mysql_query($sel_actualiza_pedido);	

		

		    //delete control pedido

			$del_ctpedido="DELETE FROM control_pedido WHERE numero='$numero' and mesa='$mesa' and est=1 ";

			$rs_ctpedido=mysql_query($del_ctpedido);

        	//fin

	

$query_suma="SELECT  SUM(valor_total) AS total_venta  FROM detalles_pedido WHERE numero='$numero'";

$rs_query_suma=mysql_query($query_suma);

$total_venta=mysql_result($rs_query_suma,0,"total_venta");

$propina=$total_venta*(10/100);

$total_dsc=$total_venta-$descuento;

$miarchivo=fopen($archivo."pedido.txt","w");//abrir archivo, nombre archivo, modo apertura



fwrite($miarchivo,"                RESTAURANT 'LA GUARIDA' " . PHP_EOL); //TITULO

fwrite($miarchivo,"                      DESDE 1988 " . PHP_EOL); //TITULO

fwrite($miarchivo,"            TRADICION EN COMIDAS CASERAS " . PHP_EOL); //TITULO

fwrite($miarchivo,"           PADRE LEODAGARIO # 47 FUTRONO " . PHP_EOL); //TITULO

fwrite($miarchivo,"           ****  COMPROBANTE DE PAGO  ***      " . PHP_EOL); //TITULO

fwrite($miarchivo,"    --------------------------------------- "  . PHP_EOL ); //LINEA DE SEPARACION

fwrite($miarchivo,"     PEDIDO ".$numero);fwrite($miarchivo," DE LA MESA ".$nom_mesa . PHP_EOL) ;

fwrite($miarchivo,"    --------------------------------------- "  . PHP_EOL ); //LINEA DE SEPARACION



fwrite($miarchivo,"    FECHA: ".$fecha . PHP_EOL ); //fECHA 

fwrite($miarchivo,"    HRS: ".$hora . PHP_EOL ); //HORA



fwrite($miarchivo,"    DETALLES". PHP_EOL ); //inicio del detalle del tiket

fwrite($miarchivo," "  . PHP_EOL ); //SALTO DE LINEA

 

fwrite($miarchivo,"    PRODUCTO");fwrite($miarchivo,"            CANTIDAD");fwrite($miarchivo,"      TOTAL" . PHP_EOL) ;//CABESA DE LA TABLA

fwrite($miarchivo,"    --------------------------------------- "  . PHP_EOL ); //LINEA DE SEPARACION

//INICIO DEL BUCLE 



          $buscar='select  *, SUM(cantidad) as cant, SUM(valor_total) as valor 

		   from detalles_pedido where numero like \'%'.$numero.'%\' group by idplatos';

  		   $r=mysql_query($buscar,$conn) or die("Error en el query: ".mysql_error());

		   $n=mysql_num_rows($r);

		    //si hay registros los procesamos

			if($n>0)

			{			

				while($row=mysql_fetch_assoc($r))

				{ 

					 $plato=$row["idplatos"];

					 $query="SELECT * FROM platos WHERE idplatos='$plato'";

 					 $rs_query=mysql_query($query);

					 $idgrupos=mysql_result($rs_query,0,"idgrupos");

					  

					 $nombre=mysql_result($rs_query,0,"descrip_plato");

                     $cart_nom=strlen($nombre);

					 		

					 

					 $cantidad=$row["cant"];

					 $cart_cant=strlen($cantidad);

					 

					 $total=$row["valor"];	

					 $cart_total=strlen($total);

					 

					 //mostraamos las variables 

					 

					 fwrite($miarchivo,"    ".$nombre);

                     for($l_cant=$cart_nom;$l_cant<=26;$l_cant++){ fwrite($miarchivo," "); }

					 

					 fwrite($miarchivo,"".$cantidad);

                     for($r_cant=$cart_cant;$r_cant<=7;$r_cant++){ fwrite($miarchivo," "); }

					 

					 fwrite($miarchivo,"".$total.  PHP_EOL );

                     

					 

			if($idgrupos==4 or $idgrupos==6 or $idgrupos==7 or $idgrupos==8 or $idgrupos==9 or $idgrupos==10 or $idgrupos==11  )

		            {

						$query_obs1="SELECT *  FROM detalles_pedido WHERE idplatos='$plato' and numero='$numero'";

 		  			 $rs_query_obs1=mysql_query($query_obs1);

		   			 

					 while($row1=mysql_fetch_assoc($rs_query_obs1))

						{ //Procesamos cada registro como

 					 $obs1=$row1["obs"]; 

					 fwrite($miarchivo,"       ".$obs1.  PHP_EOL );

					 

					 	 

						}

					 

						}else{

					 $query_obs="SELECT *  FROM detalles_pedido WHERE idplatos='$plato' and numero='$numero'";

 		  			 $rs_query_obs=mysql_query($query_obs);

		   			 

					 while($rows=mysql_fetch_assoc($rs_query_obs))

						{ //Procesamos cada registro como



						 $obs=$rows["obs"]; if($obs==""){ 

						 fwrite($miarchivo,"      - Sin agregado".  PHP_EOL );

						 }else{ 

					     fwrite($miarchivo,"      - ".$obs.  PHP_EOL );}

						}

                   

					}

					 

				}

			    fwrite($miarchivo,"    --------------------------------------- "  . PHP_EOL ); //LINEA DE SEPARACION

               fwrite($miarchivo,"    SUBTOTAL                         ".$total_venta.  PHP_EOL );

			   fwrite($miarchivo,"    DESCUENTO                        ".$descuento.  PHP_EOL );

			   fwrite($miarchivo,"    TOTAL                            ".$total_dsc.  PHP_EOL );

			   fwrite($miarchivo,"    PROPINA SUGERIDA (10%)           ".$propina.  PHP_EOL );

			   fwrite($miarchivo,"    "  . PHP_EOL );			}

			   fwrite($miarchivo,"    ***** Gracias Por su preferencia ******** "  . PHP_EOL );

			   fwrite($miarchivo,"    ***** Diceño: virtualsurchile EIRL ******** "  . PHP_EOL );

//FIN DEL BUCLE





fclose($miarchivo); //cerrar archivo

	

 	

			//enviamos el query mediante la funcion mysql_query()

			mysql_query($insertar, $conn) or die("Error en el query: ".mysql_error());

			mysql_close($conn);

			?> 

              <META HTTP-EQUIV="REFRESH" CONTENT="0;URL=../index.php?idpedido=<? echo $numero; ?>&fecha=<? echo $fecha ?>">

              <script> </script> 

			   <? 

		}

  }

  //si no han pulsado el bonton enviar, suponemos que han cargado el archivo adicionar.php

  //y se mostrara el formulario! :)

  }

  }else

  {

	  ?> <script> alert("Intento ilegal de llamar al SCRIPT!"); window.close();</script> <?

  }

  

?>